/* *******************************************************************************
 *   kenya                                                             *
 *   Copyright (C) 2004 Tristan Allwood,                                         *
 *                 2004 Matthew Sackman                                          *
 *                                                                               *
 *   This program is free software; you can redistribute it and/or               *
 *   modify it under the terms of the GNU General Public License                 *
 *   as published by the Free Software Foundation; either version 2              *
 *   of the License, or (at your option) any later version.                      *
 *                                                                               *
 *   This program is distributed in the hope that it will be useful,             *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 *   GNU General Public License for more details.                                *
 *                                                                               *
 *   You should have received a copy of the GNU General Public License           *
 *   along with this program; if not, write to the Free Software                 *
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *                                                                               *
 *   The authors can be contacted by email at toa02@doc.ic.ac.uk                 *
 *                                             ms02@doc.ic.ac.uk                 *
 *                                                                               *
 *********************************************************************************/
/*
 * Created on 19-Aug-2004
 */
package kenya.sole.ui.util;

import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;

/**
 * @author Matthew Sackman (ms02)
 * @version 1
 */
public class SecureRandomNumber {
    private static SecureRandom random = null;

    static {
        try {
            // try Sun's first
            random = SecureRandom.getInstance("SHA1PRNG");
        } catch (NoSuchAlgorithmException e) {
            try {
                // if we don't have Sun's let's try IBM's.
                random = SecureRandom.getInstance("IBMSecureRandom", "IBMJCE");
            } catch (Exception e1) {
                System.err.println("Error: Unable to get a "
                        + "SecureRandom instance.");
            }
        }
    }

    public static int nextInt() {
        return random.nextInt();
    }
    
    private SecureRandomNumber() {}
}
